Deprecated as of version 2025-09-03This page describes the API for versions up to and including 2022-06-28. In the new 2025-09-03 version, the concepts of databases and data sources were split up, as described in Upgrading to 2025-09-03.Refer to the new APIs instead:
Retrieves a database object — information that describes the structure and columns of a database — for a provided database ID. The response adheres to any limits to a connection’s capabilities.To fetch database rows rather than columns, use the Query a database endpoint.To find a database ID, navigate to the database URL in your Notion workspace. The ID is the 32-character alphanumeric string between the slash following the workspace name (if applicable) and the question mark.
Returns a 404 HTTP response if the database doesn’t exist or if the connection doesn’t have access to it.Each Public API endpoint can return several possible error codes. See the Error codes section of the Status codes documentation for more information.
Database relations must be shared with your connectionTo retrieve database properties from database relations, the related database must be shared with your connection in addition to the database being retrieved. If the related database is not shared, properties based on relations will not be included in the API response.
The Notion API does not support retrieving linked databases.To fetch the information in a linked database, share the original source database with your Notion connection.
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Notion-Version
enum<string>
required
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11
Path Parameters
database_id
string
required
ID of a Notion database, a container for one or more data sources.
Response
Option 1
Option 2
object
string
required
The database object type name.
Allowed value: "database"
id
string<uuid>
required
The ID of the database.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Notion Docs","colors":{"primary":"#000","light":"#097fe8","dark":"#0075de"},"logo":{"light":"https://mintcdn.com/notion-demo/5YdhSbldE14t5Rna/logo/light.svg?fit=max\u0026auto=format\u0026n=5YdhSbldE14t5Rna\u0026q=85\u0026s=249f5693ad929397409bf9b51d6d539d","dark":"https://mintcdn.com/notion-demo/5YdhSbldE14t5Rna/logo/dark.svg?fit=max\u0026auto=format\u0026n=5YdhSbldE14t5Rna\u0026q=85\u0026s=a8404879d171debac543bb6c1482c909","href":"/"},"favicon":"https://mintcdn.com/notion-demo/LHm9qfrJYJOPRxs6/favicon.png?fit=max\u0026auto=format\u0026n=LHm9qfrJYJOPRxs6\u0026q=85\u0026s=0668f0b3334eef21f0cdc65b390d22d9","api":{"openapi":["openapi.json","openapi-undocumented.json","openapi-adminApi.json"]},"appearance":{"default":"system"},"background":{"color":{"light":"#ffffff","dark":"#0f0f0f"}},"navbar":{"links":[{"href":"https://www.notion.com/login","label":"Log in"}],"primary":{"type":"button","label":"Developer portal","href":"https://www.notion.so/developers"}},"footer":{"socials":{"x":"https://x.com/NotionDevs","slack":"https://join.slack.com/t/notiondevs/shared_invite/zt-3u9oid9q8-HLUBmMVWYK~g9HFo4U4raA"}},"seo":{"metatags":{"og:image":"/images/og-image.png"}},"fonts":{"family":"NotionInter"},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"interaction":{"drilldown":true},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"notion-demo","hasAudioNarration":false,"actualSubdomain":"notion-demo","customDomains":["developers.notion.com"],"gitSource":{"type":"github","owner":"makenotion","repo":"notion-next","deployBranch":"main","contentDirectory":"src/server-publicApiDocs","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af7d0e06671f903af2c144d","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"API Reference","count":140},{"language":"default","tag":"Endpoints","count":133},{"language":"default","tag":"Guides","count":62},{"language":"default","tag":"Admin API","count":58},{"language":"default","tag":"Webhook events","count":31},{"language":"default","tag":"Agents","count":23},{"language":"default","tag":"Objects","count":18},{"language":"default","tag":"Notion API","count":17},{"language":"default","tag":"Data APIs","count":17},{"language":"default","tag":"Pages","count":17}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@font-face{font-family:\"NotionInter\";font-weight:400;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-Regular.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:500;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-Medium.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:600;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-SemiBold.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:700;font-style:normal;font-display:optional;src:url(\"/fonts/NotionInter-Bold.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:400;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-Italic.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:500;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-MediumItalic.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:600;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-SemiBoldItalic.woff2\") format(\"woff2\")}@font-face{font-family:\"NotionInter\";font-weight:700;font-style:italic;font-display:optional;src:url(\"/fonts/NotionInter-BoldItalic.woff2\") format(\"woff2\")}:root{--font-notion-stack:\n\t\t\"NotionInter\", \"Inter\", -apple-system, \"system-ui\", \"Segoe UI\", Helvetica,\n\t\tArial, sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\"}html,body,button,input,select,textarea,h1,h2,h3,h4,h5,h6{font-family:var(--font-notion-stack)}.card>.flex.items-center:has([data-component-part=\"card-icon\"]){align-items:flex-start}[data-component-part=\"card-content\"]{font-size:0.875rem;line-height:1.45}.navbar-link>a{background-color:transparent!important}.navbar-link>a:hover{background-color:#37352f0a!important}html.dark .navbar-link>a:hover{background-color:rgba(255, 255, 255, 0.055)!important}.bg-primary-dark.rounded-xl{border-radius:8px!important}#search-bar-entry{background-color:#37352f0a!important;color:#7d7a75!important}#search-bar-entry:hover{background-color:#37352f1a!important}#search-bar-entry svg{color:#7d7a75!important}#search-bar-entry:hover svg{color:#37352f!important}html.dark #search-bar-entry{background-color:rgba(255, 255, 255, 0.055)!important;color:rgba(255, 255, 255, 0.5)!important}html.dark #search-bar-entry:hover{background-color:rgba(255, 255, 255, 0.129)!important}html.dark #search-bar-entry svg{color:rgba(255, 255, 255, 0.5)!important}html.dark #search-bar-entry:hover svg{color:#ffffff!important}#search-bar-entry-mobile,#search-bar-entry-mobile svg{color:#7d7a75!important;background-color:#7d7a75!important}#search-bar-entry-mobile:hover,#search-bar-entry-mobile:hover svg{color:#37352f!important;background-color:#37352f!important}html.dark #search-bar-entry-mobile,html.dark #search-bar-entry-mobile svg{color:rgba(255, 255, 255, 0.5)!important;background-color:rgba(255, 255, 255, 0.5)!important}html.dark #search-bar-entry-mobile:hover,html.dark #search-bar-entry-mobile:hover svg{color:#ffffff!important;background-color:#ffffff!important}button[data-component-part=\"theme-preference-menu-trigger\"]{background-color:#37352f0a!important}button[data-component-part=\"theme-preference-menu-trigger\"]:hover,button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"]{background-color:#37352f1a!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"]{background-color:rgba(255, 255, 255, 0.055)!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"]:hover,html.dark button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"]{background-color:rgba(255, 255, 255, 0.129)!important}button[data-component-part=\"theme-preference-menu-trigger\"] svg{color:#7d7a75!important}button[data-component-part=\"theme-preference-menu-trigger\"]:hover svg,button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"] svg{color:#37352f!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"] svg{color:rgba(255, 255, 255, 0.5)!important}html.dark button[data-component-part=\"theme-preference-menu-trigger\"]:hover svg,html.dark button[data-component-part=\"theme-preference-menu-trigger\"][aria-expanded=\"true\"] svg{color:#ffffff!important}#navbar [class*=\"border-gray-100\"]{border-color:#e6e5e3!important}html.dark #navbar [class*=\"border-gray-800\"]{border-color:rgba(255, 255, 255, 0.094)!important}.nav-tabs-item div[class*=\"bg-gray-200\"]{background-color:#e6e5e3!important}html.dark .nav-tabs-item div[class*=\"bg-gray-700\"]{background-color:rgba(255, 255, 255, 0.18)!important}#sidebar-content[class*=\"border-gray-100\"]{border-color:#e6e5e3!important}html.dark #sidebar-content[class*=\"border-white\"]{border-color:rgba(255, 255, 255, 0.094)!important}.sidebar-nav-group-divider{background-color:#e6e5e3!important}html.dark .sidebar-nav-group-divider{background-color:rgba(255, 255, 255, 0.094)!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"][class*=\"text-gray-700\"]{color:#37352f!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"][class*=\"hover:text-gray-900\"]:hover{color:#37352f!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"] svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#ada9a3!important}html:not(.dark) :is(a,button)[class*=\"outline-offset\"]:hover svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#7d7a75!important}html.dark :is(a,button)[class*=\"outline-offset\"] svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#7d7a75!important}html.dark :is(a,button)[class*=\"outline-offset\"]:hover svg[class*=\"text-gray-400\"][class*=\"group-hover:text-gray-600\"]{color:#ada9a3!important}.card[class*=\"border-gray-950\"]{border-color:#e6e5e3!important}html.dark .card[class*=\"border-white\"]{border-color:rgba(255, 255, 255, 0.094)!important}[data-component-part=\"card-title\"]{color:#37352f!important}html.dark [data-component-part=\"card-title\"]{color:#ffffff!important}[data-component-part=\"card-content\"]{color:#7d7a75!important}html.dark [data-component-part=\"card-content\"]{color:#ada9a3!important}:is(a,button)[class*=\"outline-offset\"][class*=\"rounded-xl\"]{border-radius:6px!important}a[class*=\"text-shadow\"]{text-shadow:none!important;font-weight:600!important}.sidebar-group :is(a,button,span){hyphens:none!important}html.dark :is(a,button)[class*=\"outline-offset\"][class*=\"text-primary-light\"]{color:#ffffff!important}html.dark :is(a,button)[class*=\"outline-offset\"][class*=\"bg-primary-light\"]{background-color:rgba(255, 255, 255, 0.129)!important}:is(a,button)[class*=\"outline-offset\"][class*=\"bg-primary/10\"]{background-color:#37352f1a!important}:is(a,button)[class*=\"outline-offset\"][class*=\"hover:bg-gray-600\"]:hover{background-color:#37352f0a!important}html.dark :is(a,button)[class*=\"outline-offset\"][class*=\"hover:bg-gray-200\"]:hover{background-color:rgba(255, 255, 255, 0.055)!important}html.dark #table-of-contents-content li[data-active],html.dark #table-of-contents-content li[data-active]>a{border-color:#ffffff!important}html.dark #table-of-contents-content li[data-active]>a{color:#ffffff!important}html.dark a.nav-tabs-item[class*=\"text-primary\"]{color:#ffffff!important}html.dark a.nav-tabs-item div[class*=\"bg-primary-light\"]{background-color:#ffffff!important}.eyebrow{color:#78736f!important}html.dark .eyebrow{color:#a3a39e!important}html:is([data-current-path=\"/page/changelog\"],[data-current-path=\"/page/examples\"]) #sidebar-content{display:none!important}html:is([data-current-path=\"/page/changelog\"],[data-current-path=\"/page/examples\"]) #content-container{max-width:none!important;margin-left:0!important}html:is([data-current-path=\"/page/changelog\"],[data-current-path=\"/page/examples\"]) #content-area{margin-left:0!important;margin-right:0!important}html[data-current-path=\"/page/changelog\"] [data-component-part=\"update-content\"]{font-size:1rem}.sidebar-group-header{color:#78736f!important}html.dark .sidebar-group-header{color:#a3a39e!important}html.dark [class*=\"prose-invert\"]{color:#c7c7c7!important;--tw-prose-invert-body: #c7c7c7 !important;--tw-prose-invert-bullets: #c7c7c7 !important;--tw-prose-invert-counters: #c7c7c7 !important}html.dark h1#page-title{color:#ffffff!important}html.dark #header p{color:#c7c7c7!important}html.dark #table-of-contents-content a{color:#c7c7c7!important}html.dark .sidebar-group a:not([class*=\"text-shadow\"]),html.dark .sidebar-group button{color:#c7c7c7!important}html.dark #table-of-contents-content a:hover,html.dark .sidebar-group a:not([class*=\"text-shadow\"]):hover,html.dark .sidebar-group button:hover,html.dark a.nav-tabs-item:hover{color:#ffffff!important}#content a.link{color:inherit!important;text-decoration:underline!important;text-decoration-color:rgba(55, 53, 47, 0.25)!important;text-underline-offset:3px!important;text-decoration-thickness:1px!important;border-bottom:0!important;font-weight:inherit!important}#content a.link:hover{color:inherit!important;text-decoration-color:currentColor!important}html.dark #content a.link{text-decoration-color:rgba(255, 255, 255, 0.25)!important}html.dark #content a.link:hover{text-decoration-color:currentColor!important}.callout[class*=\"bg-blue\"]{background-color:#e5f2fc!important;border-color:#b6d4f3!important}.callout[class*=\"bg-blue\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-blue\"] [data-component-part=\"callout-icon\"] svg{color:#2783de!important}.callout[class*=\"bg-blue\"] [data-component-part=\"callout-content\"]{color:#355f8b!important}.callout[class*=\"bg-green\"]{background-color:#e8f1ec!important;border-color:#bed9c9!important}.callout[class*=\"bg-green\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-green\"] [data-component-part=\"callout-icon\"] svg{color:#46a171!important}.callout[class*=\"bg-green\"] [data-component-part=\"callout-content\"]{color:#37674c!important}.callout[class*=\"bg-yellow\"]{background-color:#f9f3dc!important;border-color:#e8d497!important}.callout[class*=\"bg-yellow\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-yellow\"] [data-component-part=\"callout-icon\"] svg{color:#d8a32f!important}.callout[class*=\"bg-yellow\"] [data-component-part=\"callout-content\"]{color:#836426!important}.callout[class*=\"bg-red\"]{background-color:#fce9e7!important;border-color:#f0c5be!important}.callout[class*=\"bg-red\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-red\"] [data-component-part=\"callout-icon\"] svg{color:#e56458!important}.callout[class*=\"bg-red\"] [data-component-part=\"callout-content\"]{color:#924943!important}.callout[class*=\"bg-neutral\"]{background-color:#f0efed!important;border-color:#e6e5e3!important}.callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"],.callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"] svg{color:#5f5e59!important}.callout[class*=\"bg-neutral\"] [data-component-part=\"callout-content\"]{color:#494846!important}html.dark .callout[class*=\"bg-blue\"]{background-color:rgba(39, 131, 222, 0.12)!important;border-color:rgba(39, 131, 222, 0.3)!important}html.dark .callout[class*=\"bg-green\"]{background-color:rgba(70, 161, 113, 0.12)!important;border-color:rgba(70, 161, 113, 0.3)!important}html.dark .callout[class*=\"bg-yellow\"]{background-color:rgba(216, 163, 47, 0.12)!important;border-color:rgba(216, 163, 47, 0.3)!important}html.dark .callout[class*=\"bg-red\"]{background-color:rgba(229, 100, 88, 0.12)!important;border-color:rgba(229, 100, 88, 0.3)!important}html.dark .callout[class*=\"bg-neutral\"]{background-color:rgba(255, 255, 255, 0.05)!important;border-color:rgba(255, 255, 255, 0.12)!important}html.dark .callout[class*=\"bg-blue\"] [data-component-part=\"callout-content\"]{color:#9dc0ea!important}html.dark .callout[class*=\"bg-green\"] [data-component-part=\"callout-content\"]{color:#a6c7b4!important}html.dark .callout[class*=\"bg-yellow\"] [data-component-part=\"callout-content\"]{color:#e2ca88!important}html.dark .callout[class*=\"bg-red\"] [data-component-part=\"callout-content\"]{color:#e0aea6!important}html.dark .callout[class*=\"bg-neutral\"] [data-component-part=\"callout-content\"]{color:#bcbab6!important}html.dark .callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"],html.dark .callout[class*=\"bg-neutral\"] [data-component-part=\"callout-icon\"] svg{color:#ada9a3!important}.callout a.link,#content .callout a.link{color:inherit!important;text-decoration:underline!important;border-bottom:0!important}.callout a.link:hover,#content .callout a.link:hover{color:inherit!important;text-decoration:underline!important}[data-component-part=\"card-icon\"] img{filter:brightness(0) saturate(100%) invert(31%) sepia(85%) saturate(2280%)\n\t\thue-rotate(196deg) brightness(96%) contrast(101%)}html.dark [data-component-part=\"card-icon\"] img{filter:brightness(0) saturate(100%) invert(45%) sepia(98%) saturate(1480%)\n\t\thue-rotate(196deg) brightness(101%) contrast(96%)}[data-component-part=\"card-icon\"]>svg{width:1.25rem!important;height:1.25rem!important;mask-size:contain!important;-webkit-mask-size:contain!important}.card{transition:box-shadow 180ms ease-out,\n\t\tborder-color 180ms ease-out}.card:hover{--tw-ring-shadow: 0 0 #0000 !important;--tw-ring-color: transparent !important;border-color:transparent!important;box-shadow:0 0 0 1px rgba(0, 0, 0, 0.06),\n\t\t0 4px 10px rgba(15, 15, 15, 0.05),\n\t\t0 1px 3px rgba(15, 15, 15, 0.04)!important}html.dark .card:hover{--tw-ring-shadow: 0 0 #0000 !important;--tw-ring-color: transparent !important;border-color:rgba(255, 255, 255, 0.18)!important;box-shadow:none!important}a[class*=\"border-gray-200/70\"][class*=\"rounded-xl\"][class*=\"py-3\"][class*=\"px-4\"]{border:0!important;padding:0!important}[data-component-part=\"code-block-root\"],[data-component-part=\"code-block-root\"] pre,[data-component-part=\"code-block-root\"] code,[data-component-part=\"code-block-root\"] code *{font-size:12px!important;line-height:20px!important}#page-context-menu [class*=\"rounded-l-xl\"]{border-radius:6px 0 0 6px!important}#page-context-menu [class*=\"rounded-r-xl\"]{border-radius:0 6px 6px 0!important}#page-context-menu [class*=\"text-sm\"]{font-size:12px!important}#page-context-menu :is(button,a)[class*=\"bg-gray\"],#page-context-menu :is(button,a)[class*=\"border-gray\"]{background-color:transparent!important;border-color:#e6e5e3!important}#page-context-menu :is(button,a):hover{background-color:#37352f0a!important}html.dark #page-context-menu :is(button,a)[class*=\"bg-gray\"],html.dark #page-context-menu :is(button,a)[class*=\"border-gray\"]{border-color:rgba(255, 255, 255, 0.094)!important}html.dark #page-context-menu :is(button,a):hover{background-color:rgba(255, 255, 255, 0.055)!important}[data-component-part=\"update-label\"]{background-color:#f7f6f3!important;color:#5f5e59!important;font-size:14px!important;line-height:20px!important;font-weight:400!important}html.dark [data-component-part=\"update-label\"]{background-color:rgba(255, 255, 255, 0.04)!important;color:#bcbab6!important}[class*=\"text-tooltip-foreground\"]{background-color:#1f1f1d!important;color:#ffffff!important;border-color:#1f1f1d!important}"}],"page":{"pagePath":"reference/retrieve-a-database","slug":"/reference/retrieve-a-database","pageMetadata":{"openapi":"get /v1/databases/{database_id}","title":"Retrieve a database","description":null,"href":"/reference/retrieve-a-database"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Frame,Heading,Info,OptimizedImage,Warning}=_components;if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Deprecated as of version 2025-09-03`})}),_jsxs(_components.p,{children:[`This page describes the API for versions up to and including `,_jsx(_components.code,{children:`2022-06-28`}),`. In the new `,_jsx(_components.code,{children:`2025-09-03`}),` version, the concepts of databases and data sources were split up, as described in `,_jsx(_components.a,{href:`/guides/get-started/upgrade-guide-2025-09-03`,children:`Upgrading to 2025-09-03`}),`.`]}),_jsx(_components.p,{children:`Refer to the new APIs instead:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/reference/retrieve-database`,children:`Retrieve a database`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/reference/retrieve-a-data-source`,children:`Retrieve a data source`})}),`\n`]})]}),`\n`,_jsxs(_components.p,{children:[`Retrieves a `,_jsx(_components.a,{href:`/reference/database`,children:`database object`}),` — information that describes the structure and columns of a database — for a provided database ID. The response adheres to any limits to a connection’s capabilities.`]}),`\n`,_jsxs(_components.p,{children:[`To fetch database rows rather than columns, use the `,_jsx(_components.a,{href:`/reference/post-database-query`,children:`Query a database`}),` endpoint.`]}),`\n`,_jsx(_components.p,{children:`To find a database ID, navigate to the database URL in your Notion workspace. The ID is the 32-character alphanumeric string between the slash following the workspace name (if applicable) and the question mark.`}),`\n`,_jsx(Frame,{caption:`Notion database ID`,children:_jsx(OptimizedImage,{src:`https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=00a19b68b92cd013cdc0f8867427eb44`,alt:`1340`,\"data-og-width\":`1340`,width:`1340`,\"data-og-height\":`550`,height:`550`,\"data-path\":`images/reference/image-1.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?w=280\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=619d6c3987ad5749bf23af7818319fa2 280w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?w=560\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=169ae1bb1ec28afc5a2a76da22509aa7 560w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?w=840\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=721d8511030842a08474ddd98a6b384f 840w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?w=1100\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=7916e5aadb53f7b659e522154193debe 1100w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?w=1650\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=3efcdcb414a369a7835d2745d192abaf 1650w, https://mintcdn.com/notion-demo/S-I3qLQnwRa7HjdK/images/reference/image-1.png?w=2500\u0026fit=max\u0026auto=format\u0026n=S-I3qLQnwRa7HjdK\u0026q=85\u0026s=dd872b0b759a00afe4d3cd4243877c8b 2500w`})}),`\n`,_jsxs(_components.p,{children:[`Refer to the `,_jsx(_components.a,{href:`/guides/data-apis/working-with-databases`,children:`Working with databases`}),` guide for more details.`]}),`\n`,_jsx(Heading,{level:`3`,id:`errors`,children:`Errors`}),`\n`,_jsx(_components.p,{children:`Returns a 404 HTTP response if the database doesn’t exist or if the connection doesn’t have access to it.`}),`\n`,_jsxs(_components.p,{children:[`Each Public API endpoint can return several possible error codes. See the `,_jsx(_components.a,{href:`/reference/status-codes#error-codes`,children:`Error codes section`}),` of the Status codes documentation for more information.`]}),`\n`,_jsx(Heading,{level:`3`,id:`additional-resources`,children:`Additional resources`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/guides/connections-and-tokens/overview#content-access`,children:`How to share a database with your connection`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/guides/data-apis/working-with-databases`,children:`Working with databases guide`})}),`\n`]}),`\n`,_jsxs(Info,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Database relations must be shared with your connection`})}),_jsxs(_components.p,{children:[`To retrieve database properties from `,_jsx(_components.a,{href:`https://www.notion.com/help/relations-and-rollups#what-is-a-database-relation`,children:`database relations`}),`, the related database must be shared with your connection in addition to the database being retrieved. If the related database is not shared, properties based on relations will not be included in the API response.`]})]}),`\n`,_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`The Notion API does not support retrieving linked databases.`})}),_jsxs(_components.p,{children:[`To fetch the information in a `,_jsx(_components.a,{href:`https://www.notion.com/help/guides/using-linked-databases`,children:`linked database`}),`, share the original source database with your Notion connection.`]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v1/databases/{database_id}","title":"Retrieve a database","description":null,"href":"/reference/retrieve-a-database"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Errors","slug":"errors","depth":3,"children":[]},{"title":"Additional resources","slug":"additional-resources","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/notion-demo/f3af24179eebc764/mcp-section-label.js","/_mintlify/custom/notion-demo/96b92b5a9cb7e11c/mcp-tool-section-redirects.js"],"openApiReferenceData":{"operation":{"summary":"Retrieve a database","operationId":"retrieve-database","tags":["Databases"],"x-codeSamples":[{"lang":"javascript","label":"TypeScript SDK","source":"import { Client } from \"@notionhq/client\"\n\nconst notion = new Client({ auth: process.env.NOTION_API_KEY })\n\nconst response = await notion.databases.retrieve({\n database_id: \"d9824bdc-8445-4327-be8b-5b47500af6ce\"\n})"}],"x-notion-docs-ref":"https://developers.notion.com/reference/retrieve-database","x-notion-docs-guides":["https://developers.notion.com/guides/data-apis/working-with-databases"],"parameters":["4133bc48-bf70-465c-af5f-0c8ee3c7f771","737a1ab0-cfc4-443a-b750-a0b7536f05a0"],"responses":{"200":"445facc5-c799-490f-ac51-7befbcae6f6a","400":"44ea6c2a-7000-4305-bf42-d2292b3f832b","401":"7ca9df8e-9c26-4963-a88d-e93b3f30e7bb","403":"bc9e8db9-aa3d-45d7-9b68-6166e4975529","404":"f1ae1d13-cef2-4707-83b2-745514418a72","406":"f829086a-d6a1-4979-a4cd-1411eb3c4157","409":"c4c3328a-f501-4dd2-867c-123079419ba5","429":"939bb499-faaa-484c-a78c-08f6864e3050","500":"98be1fad-28ef-4ee4-8995-e4267b2912e0","503":"37bb687e-35d3-4773-8553-99995b1e4744","504":"103d9c79-e9af-48a7-8177-8f80a4db59a1","529":"3d45ba36-d7aa-4909-b755-82cc471c1fda"},"method":"get","type":"path","servers":["1caefac3-d9a8-497b-9897-039fefef556a"],"security":["b6181260-ef0f-472c-af16-dec8530a4c38"],"path":"/v1/databases/{database_id}","baseUrlOptions":["https://api.notion.com"],"title":"Retrieve a database","description":"","codeSamples":[{"label":"TypeScript SDK","lang":"javascript","source":"import { Client } from \"@notionhq/client\"\n\nconst notion = new Client({ auth: process.env.NOTION_API_KEY })\n\nconst response = await notion.databases.retrieve({\n database_id: \"d9824bdc-8445-4327-be8b-5b47500af6ce\"\n})"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"4133bc48-bf70-465c-af5f-0c8ee3c7f771":{"name":"database_id","in":"path","required":true,"schema":{"type":"string","description":"ID of a Notion database, a container for one or more data sources.","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"737a1ab0-cfc4-443a-b750-a0b7536f05a0":{"name":"Notion-Version","in":"header","required":true,"schema":{"enum":["2026-03-11"],"type":"string","isRequired":true,"description":"The [API version](/reference/versioning) to use for this request. The latest version is `2026-03-11`.","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The [API version](/reference/versioning) to use for this request. The latest version is `2026-03-11`."}},"responses":{"445facc5-c799-490f-ac51-7befbcae6f6a":{"description":"","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["object","id"],"properties":{"object":{"type":"string","const":"database","description":"The database object type name.","isRequired":true,"uniqueKey":"oneOf.0.object","typeLabel":"string"},"id":{"type":"string","format":"uuid","description":"The ID of the database.","isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"object","required":["object","id","title","description","parent","is_inline","database_type","in_trash","is_locked","show_data_source_title","created_time","last_edited_time","data_sources","icon","cover","url","public_url"],"properties":{"object":{"type":"string","const":"database","description":"The database object type name.","isRequired":true,"uniqueKey":"oneOf.1.object","typeLabel":"string"},"id":{"type":"string","format":"uuid","description":"The ID of the database.","isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string\u003cuuid>"},"title":{"type":"array","items":{"oneOf":[{"type":"object","title":"Text","required":["type","text","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.annotations","typeLabel":"object"},"type":{"type":"string","const":"text","description":"Always `text`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.type","typeLabel":"string"},"text":{"type":"object","properties":{"content":{"type":"string","maxLength":2000,"description":"The actual text content of the text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.content","typeLabel":"string"},"link":{"oneOf":[{"type":"object","description":"An object with information about any inline link in this text, if included.","required":["url"],"properties":{"url":{"type":"string","examples":["https://www.notion.com"],"description":"The URL of the link.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link.oneOf.0.url","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object with information about any inline link in this text, if included.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text.link","typeLabel":"object | null"}},"additionalProperties":false,"required":["content","link"],"description":"If a rich text object's type value is `text`, then the corresponding text field contains an object including the text content and any inline link.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0.text","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.0","typeLabel":"Text · object"},{"type":"object","title":"Mention","required":["type","mention","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.annotations","typeLabel":"object"},"type":{"type":"string","const":"mention","description":"Always `mention`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.type","typeLabel":"string"},"mention":{"oneOf":[{"type":"object","title":"User","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","user"],"properties":{"type":{"type":"string","const":"user","description":"Always `user`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.type","typeLabel":"string"},"user":{"oneOf":[{"type":"object","description":"Details of the user mention.","required":["id","object"],"properties":{"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"Always `user`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0.object","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0","typeLabel":"object"},{"type":"object","title":"Person","description":"Details of the user mention.","required":["type","person","id","object","name","avatar_url"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"The user object type name.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.object","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name","typeLabel":"string | null"},"avatar_url":{"oneOf":[{"type":"string","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url","typeLabel":"string | null"},"type":{"type":"string","const":"person","description":"Indicates this user is a person.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.type","typeLabel":"string"},"person":{"type":"object","properties":{"email":{"type":"string","description":"The email of the person.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person.email","typeLabel":"string"},"email_verified":{"type":"boolean","description":"Whether the person's email is verified.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person.email_verified","typeLabel":"boolean"}},"additionalProperties":false,"description":"Details about the person, when the `type` of the user is `person`.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person","typeLabel":"object"},"agent_id":{"type":"string","format":"uuid","description":"The ID of the Custom Agent this bot acts for. Only present when the user is a Custom Agent's bot.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.agent_id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1","typeLabel":"Person · object"},{"type":"object","title":"Bot","description":"Details of the user mention.","required":["type","bot","id","object","name","avatar_url"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"The user object type name.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.object","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name","typeLabel":"string | null"},"avatar_url":{"oneOf":[{"type":"string","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url","typeLabel":"string | null"},"type":{"type":"string","const":"bot","description":"Indicates this user is a bot.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.type","typeLabel":"string"},"bot":{"oneOf":[{"type":"object","description":"Details about the bot, when the `type` of the user is `bot`.","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.0","typeLabel":"object"},{"type":"object","description":"Details about the bot, when the `type` of the user is `bot`.","required":["owner","workspace_id","workspace_limits","workspace_name"],"properties":{"owner":{"type":"any","description":"Details about the owner of the bot.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.owner","typeLabel":"any"},"workspace_id":{"type":"string","description":"The ID of the bot's workspace.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_id","typeLabel":"string"},"workspace_limits":{"type":"object","properties":{"max_file_upload_size_in_bytes":{"type":"integer","minimum":0,"description":"The maximum allowable size of a file upload, in bytes","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_limits.max_file_upload_size_in_bytes","typeLabel":"integer"}},"additionalProperties":false,"required":["max_file_upload_size_in_bytes"],"description":"Limits and restrictions that apply to the bot's workspace","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_limits","typeLabel":"object"},"workspace_name":{"type":"any","description":"The name of the bot's workspace.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_name","typeLabel":"any"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot","typeLabel":"object"},"agent_id":{"type":"string","format":"uuid","description":"The ID of the Custom Agent this bot acts for. Only present when the user is a Custom Agent's bot.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.agent_id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2","typeLabel":"Bot · object"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0.user","typeLabel":"object | Person · object | Bot · object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.0","typeLabel":"User · object"},{"type":"object","title":"Date","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","date"],"properties":{"type":{"type":"string","const":"date","description":"Always `date`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.type","typeLabel":"string"},"date":{"type":"object","properties":{"start":{"type":"string","format":"date","description":"The start date of the date object.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.start","typeLabel":"string\u003cdate>"},"end":{"oneOf":[{"type":"string","description":"The end date of the date object, if any.","format":"date","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.end.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The end date of the date object, if any.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.end.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.end","typeLabel":"string\u003cdate> | null"},"time_zone":{"oneOf":[{"type":"string","description":"The time zone of the date object.","example":"Africa/Abidjan","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The time zone of the date object.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone","typeLabel":"string | null"}},"additionalProperties":false,"required":["start","end","time_zone"],"description":"Details of the date mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1.date","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.1","typeLabel":"Date · object"},{"type":"object","title":"Link Preview","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","link_preview"],"properties":{"type":{"type":"string","const":"link_preview","description":"Always `link_preview`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2.type","typeLabel":"string"},"link_preview":{"type":"object","properties":{"url":{"type":"string","description":"The URL of the link preview mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2.link_preview.url","typeLabel":"string"}},"additionalProperties":false,"required":["url"],"description":"Details of the link preview mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2.link_preview","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.2","typeLabel":"Link Preview · object"},{"type":"object","title":"Link Mention","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","link_mention"],"properties":{"type":{"type":"string","const":"link_mention","description":"Always `link_mention`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.type","typeLabel":"string"},"link_mention":{"type":"object","properties":{"href":{"type":"string","description":"The href of the link mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.href","typeLabel":"string"},"title":{"type":"string","description":"The title of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.title","typeLabel":"string"},"description":{"type":"string","description":"The description of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.description","typeLabel":"string"},"link_author":{"type":"string","description":"The author of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.link_author","typeLabel":"string"},"link_provider":{"type":"string","description":"The provider of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.link_provider","typeLabel":"string"},"thumbnail_url":{"type":"string","description":"The thumbnail URL of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.thumbnail_url","typeLabel":"string"},"icon_url":{"type":"string","description":"The icon URL of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.icon_url","typeLabel":"string"},"iframe_url":{"type":"string","description":"The iframe URL of the link.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.iframe_url","typeLabel":"string"},"height":{"type":"integer","description":"The height of the link preview iframe.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.height","typeLabel":"integer"},"padding":{"type":"integer","description":"The padding of the link preview iframe.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.padding","typeLabel":"integer"},"padding_top":{"type":"integer","description":"The top padding of the link preview iframe.","uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.padding_top","typeLabel":"integer"}},"additionalProperties":false,"required":["href"],"description":"Details of the link mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.3","typeLabel":"Link Mention · object"},{"type":"object","title":"Page","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","page"],"properties":{"type":{"type":"string","const":"page","description":"Always `page`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.4.type","typeLabel":"string"},"page":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the page in the mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.4.page.id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"required":["id"],"description":"Details of the page mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.4.page","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.4","typeLabel":"Page · object"},{"type":"object","title":"Database","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","database"],"properties":{"type":{"type":"string","const":"database","description":"Always `database`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.5.type","typeLabel":"string"},"database":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the database in the mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.5.database.id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"required":["id"],"description":"Details of the database mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.5.database","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.5","typeLabel":"Database · object"},{"type":"object","title":"Template Mention","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","template_mention"],"properties":{"type":{"type":"string","const":"template_mention","description":"Always `template_mention`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.type","typeLabel":"string"},"template_mention":{"oneOf":[{"type":"object","title":"Template Mention Date","description":"Details of the template mention.","required":["type","template_mention_date"],"properties":{"type":{"type":"string","const":"template_mention_date","description":"Always `template_mention_date`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.0.type","typeLabel":"string"},"template_mention_date":{"type":"string","enum":["today","now"],"description":"The date of the template mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.0.template_mention_date","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.0","typeLabel":"Template Mention Date · object"},{"type":"object","title":"Template Mention User","description":"Details of the template mention.","required":["type","template_mention_user"],"properties":{"type":{"type":"string","const":"template_mention_user","description":"Always `template_mention_user`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.1.type","typeLabel":"string"},"template_mention_user":{"type":"string","const":"me","description":"The user of the template mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.1.template_mention_user","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.1","typeLabel":"Template Mention User · object"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention","typeLabel":"Template Mention Date · object | Template Mention User · object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.6","typeLabel":"Template Mention · object"},{"type":"object","title":"Custom Emoji","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","custom_emoji"],"properties":{"type":{"type":"string","const":"custom_emoji","description":"Always `custom_emoji`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.7.type","typeLabel":"string"},"custom_emoji":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the custom emoji.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji.id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"The name of the custom emoji.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji.name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the custom emoji.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji.url","typeLabel":"string"}},"additionalProperties":false,"required":["id","name","url"],"description":"Details of the custom emoji mention.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention.oneOf.7","typeLabel":"Custom Emoji · object"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1.mention","typeLabel":"User · object | Date · object | Link Preview · object | Link Mention · object | Page · object | Database · object | Template Mention · object | Custom Emoji · object"}},"additionalProperties":false,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.1","typeLabel":"Mention · object"},{"type":"object","title":"Equation","required":["type","equation","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.annotations","typeLabel":"object"},"type":{"type":"string","const":"equation","description":"Always `equation`","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.type","typeLabel":"string"},"equation":{"type":"object","properties":{"expression":{"type":"string","examples":["e=mc^2"],"description":"A KaTeX compatible string.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.equation.expression","typeLabel":"string"}},"additionalProperties":false,"required":["expression"],"description":"Notion supports inline LaTeX equations as rich text objects with a type value of `equation`.","isRequired":true,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2.equation","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.1.title.items.[INDEX].oneOf.2","typeLabel":"Equation · object"}],"uniqueKey":"oneOf.1.title.items.[INDEX]","typeLabel":"Text · object | Mention · object | Equation · object"},"maxItems":100,"description":"The title of the database.","isRequired":true,"uniqueKey":"oneOf.1.title","typeLabel":"(Text · object | Mention · object | Equation · object)[]"},"description":{"type":"array","items":{"oneOf":[{"type":"object","title":"Text","required":["type","text","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.annotations","typeLabel":"object"},"type":{"type":"string","const":"text","description":"Always `text`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.type","typeLabel":"string"},"text":{"type":"object","properties":{"content":{"type":"string","maxLength":2000,"description":"The actual text content of the text.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.text.content","typeLabel":"string"},"link":{"oneOf":[{"type":"object","description":"An object with information about any inline link in this text, if included.","required":["url"],"properties":{"url":{"type":"string","examples":["https://www.notion.com"],"description":"The URL of the link.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.text.link.oneOf.0.url","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.text.link.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object with information about any inline link in this text, if included.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.text.link.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.text.link","typeLabel":"object | null"}},"additionalProperties":false,"required":["content","link"],"description":"If a rich text object's type value is `text`, then the corresponding text field contains an object including the text content and any inline link.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0.text","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.0","typeLabel":"Text · object"},{"type":"object","title":"Mention","required":["type","mention","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.plain_text","typeLabel":"string"},"href":{"oneOf":[{"type":"string","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.href.oneOf.0","typeLabel":"string"},{"type":"null","description":"A URL that the rich text object links to or mentions.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.href.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.href","typeLabel":"string | null"},"annotations":{"type":"object","properties":{"bold":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations.bold","typeLabel":"boolean"},"italic":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations.italic","typeLabel":"boolean"},"strikethrough":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations.strikethrough","typeLabel":"boolean"},"underline":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations.underline","typeLabel":"boolean"},"code":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations.code","typeLabel":"boolean"},"color":{"type":"string","enum":["default","gray","brown","orange","yellow","green","blue","purple","pink","red","default_background","gray_background","brown_background","orange_background","yellow_background","green_background","blue_background","purple_background","pink_background","red_background"],"description":"One of: `default`, `gray`, `brown`, `orange`, `yellow`, `green`, `blue`, `purple`, `pink`, `red`, `default_background`, `gray_background`, `brown_background`, `orange_background`, `yellow_background`, `green_background`, `blue_background`, `purple_background`, `pink_background`, `red_background`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations.color","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"required":["bold","italic","strikethrough","underline","code","color"],"description":"All rich text objects contain an annotations object that sets the styling for the rich text.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.annotations","typeLabel":"object"},"type":{"type":"string","const":"mention","description":"Always `mention`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.type","typeLabel":"string"},"mention":{"oneOf":[{"type":"object","title":"User","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","user"],"properties":{"type":{"type":"string","const":"user","description":"Always `user`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.type","typeLabel":"string"},"user":{"oneOf":[{"type":"object","description":"Details of the user mention.","required":["id","object"],"properties":{"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"Always `user`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0.object","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.0","typeLabel":"object"},{"type":"object","title":"Person","description":"Details of the user mention.","required":["type","person","id","object","name","avatar_url"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"The user object type name.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.object","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.name","typeLabel":"string | null"},"avatar_url":{"oneOf":[{"type":"string","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.avatar_url","typeLabel":"string | null"},"type":{"type":"string","const":"person","description":"Indicates this user is a person.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.type","typeLabel":"string"},"person":{"type":"object","properties":{"email":{"type":"string","description":"The email of the person.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person.email","typeLabel":"string"},"email_verified":{"type":"boolean","description":"Whether the person's email is verified.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person.email_verified","typeLabel":"boolean"}},"additionalProperties":false,"description":"Details about the person, when the `type` of the user is `person`.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.person","typeLabel":"object"},"agent_id":{"type":"string","format":"uuid","description":"The ID of the Custom Agent this bot acts for. Only present when the user is a Custom Agent's bot.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1.agent_id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.1","typeLabel":"Person · object"},{"type":"object","title":"Bot","description":"Details of the user mention.","required":["type","bot","id","object","name","avatar_url"],"properties":{"id":{"type":"string","format":"uuid","description":"The ID of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.id","typeLabel":"string\u003cuuid>"},"object":{"type":"string","const":"user","description":"The user object type name.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.object","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.name","typeLabel":"string | null"},"avatar_url":{"oneOf":[{"type":"string","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The avatar URL of the user.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.avatar_url","typeLabel":"string | null"},"type":{"type":"string","const":"bot","description":"Indicates this user is a bot.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.type","typeLabel":"string"},"bot":{"oneOf":[{"type":"object","description":"Details about the bot, when the `type` of the user is `bot`.","properties":{},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.0","typeLabel":"object"},{"type":"object","description":"Details about the bot, when the `type` of the user is `bot`.","required":["owner","workspace_id","workspace_limits","workspace_name"],"properties":{"owner":{"type":"any","description":"Details about the owner of the bot.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.owner","typeLabel":"any"},"workspace_id":{"type":"string","description":"The ID of the bot's workspace.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_id","typeLabel":"string"},"workspace_limits":{"type":"object","properties":{"max_file_upload_size_in_bytes":{"type":"integer","minimum":0,"description":"The maximum allowable size of a file upload, in bytes","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_limits.max_file_upload_size_in_bytes","typeLabel":"integer"}},"additionalProperties":false,"required":["max_file_upload_size_in_bytes"],"description":"Limits and restrictions that apply to the bot's workspace","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_limits","typeLabel":"object"},"workspace_name":{"type":"any","description":"The name of the bot's workspace.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1.workspace_name","typeLabel":"any"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.bot","typeLabel":"object"},"agent_id":{"type":"string","format":"uuid","description":"The ID of the Custom Agent this bot acts for. Only present when the user is a Custom Agent's bot.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2.agent_id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user.oneOf.2","typeLabel":"Bot · object"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0.user","typeLabel":"object | Person · object | Bot · object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.0","typeLabel":"User · object"},{"type":"object","title":"Date","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","date"],"properties":{"type":{"type":"string","const":"date","description":"Always `date`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.type","typeLabel":"string"},"date":{"type":"object","properties":{"start":{"type":"string","format":"date","description":"The start date of the date object.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.start","typeLabel":"string\u003cdate>"},"end":{"oneOf":[{"type":"string","description":"The end date of the date object, if any.","format":"date","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.end.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The end date of the date object, if any.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.end.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.end","typeLabel":"string\u003cdate> | null"},"time_zone":{"oneOf":[{"type":"string","description":"The time zone of the date object.","example":"Africa/Abidjan","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone.oneOf.0","typeLabel":"string"},{"type":"null","description":"The time zone of the date object.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date.time_zone","typeLabel":"string | null"}},"additionalProperties":false,"required":["start","end","time_zone"],"description":"Details of the date mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1.date","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.1","typeLabel":"Date · object"},{"type":"object","title":"Link Preview","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","link_preview"],"properties":{"type":{"type":"string","const":"link_preview","description":"Always `link_preview`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.2.type","typeLabel":"string"},"link_preview":{"type":"object","properties":{"url":{"type":"string","description":"The URL of the link preview mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.2.link_preview.url","typeLabel":"string"}},"additionalProperties":false,"required":["url"],"description":"Details of the link preview mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.2.link_preview","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.2","typeLabel":"Link Preview · object"},{"type":"object","title":"Link Mention","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","link_mention"],"properties":{"type":{"type":"string","const":"link_mention","description":"Always `link_mention`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.type","typeLabel":"string"},"link_mention":{"type":"object","properties":{"href":{"type":"string","description":"The href of the link mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.href","typeLabel":"string"},"title":{"type":"string","description":"The title of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.title","typeLabel":"string"},"description":{"type":"string","description":"The description of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.description","typeLabel":"string"},"link_author":{"type":"string","description":"The author of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.link_author","typeLabel":"string"},"link_provider":{"type":"string","description":"The provider of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.link_provider","typeLabel":"string"},"thumbnail_url":{"type":"string","description":"The thumbnail URL of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.thumbnail_url","typeLabel":"string"},"icon_url":{"type":"string","description":"The icon URL of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.icon_url","typeLabel":"string"},"iframe_url":{"type":"string","description":"The iframe URL of the link.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.iframe_url","typeLabel":"string"},"height":{"type":"integer","description":"The height of the link preview iframe.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.height","typeLabel":"integer"},"padding":{"type":"integer","description":"The padding of the link preview iframe.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.padding","typeLabel":"integer"},"padding_top":{"type":"integer","description":"The top padding of the link preview iframe.","uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention.padding_top","typeLabel":"integer"}},"additionalProperties":false,"required":["href"],"description":"Details of the link mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3.link_mention","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.3","typeLabel":"Link Mention · object"},{"type":"object","title":"Page","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","page"],"properties":{"type":{"type":"string","const":"page","description":"Always `page`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.4.type","typeLabel":"string"},"page":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the page in the mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.4.page.id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"required":["id"],"description":"Details of the page mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.4.page","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.4","typeLabel":"Page · object"},{"type":"object","title":"Database","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","database"],"properties":{"type":{"type":"string","const":"database","description":"Always `database`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.5.type","typeLabel":"string"},"database":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the database in the mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.5.database.id","typeLabel":"string\u003cuuid>"}},"additionalProperties":false,"required":["id"],"description":"Details of the database mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.5.database","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.5","typeLabel":"Database · object"},{"type":"object","title":"Template Mention","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","template_mention"],"properties":{"type":{"type":"string","const":"template_mention","description":"Always `template_mention`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.type","typeLabel":"string"},"template_mention":{"oneOf":[{"type":"object","title":"Template Mention Date","description":"Details of the template mention.","required":["type","template_mention_date"],"properties":{"type":{"type":"string","const":"template_mention_date","description":"Always `template_mention_date`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.0.type","typeLabel":"string"},"template_mention_date":{"type":"string","enum":["today","now"],"description":"The date of the template mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.0.template_mention_date","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.0","typeLabel":"Template Mention Date · object"},{"type":"object","title":"Template Mention User","description":"Details of the template mention.","required":["type","template_mention_user"],"properties":{"type":{"type":"string","const":"template_mention_user","description":"Always `template_mention_user`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.1.type","typeLabel":"string"},"template_mention_user":{"type":"string","const":"me","description":"The user of the template mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.1.template_mention_user","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention.oneOf.1","typeLabel":"Template Mention User · object"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6.template_mention","typeLabel":"Template Mention Date · object | Template Mention User · object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.6","typeLabel":"Template Mention · object"},{"type":"object","title":"Custom Emoji","description":"Mention objects represent an inline mention of a database, date, link preview mention, page, template mention, or user. A mention is created in the Notion UI when a user types `@` followed by the name of the reference.","required":["type","custom_emoji"],"properties":{"type":{"type":"string","const":"custom_emoji","description":"Always `custom_emoji`","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.7.type","typeLabel":"string"},"custom_emoji":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The ID of the custom emoji.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji.id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"The name of the custom emoji.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji.name","typeLabel":"string"},"url":{"type":"string","description":"The URL of the custom emoji.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji.url","typeLabel":"string"}},"additionalProperties":false,"required":["id","name","url"],"description":"Details of the custom emoji mention.","isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.7.custom_emoji","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention.oneOf.7","typeLabel":"Custom Emoji · object"}],"isRequired":true,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1.mention","typeLabel":"User · object | Date · object | Link Preview · object | Link Mention · object | Page · object | Database · object | Template Mention · object | Custom Emoji · object"}},"additionalProperties":false,"uniqueKey":"oneOf.1.description.items.[INDEX].oneOf.1","typeLabel":"Mention · object"},{"type":"object","title":"Equation","required":["type","equation","plain_text","href","annotations"],"properties":{"plain_text":{"type":"string","description":"The plain text content of the rich text object, without any styling.","isRequired":true,"uniqueKey":"oneOf.
[...]
